Package org.apache.sling.engine

# Interface RequestLog

@Deprecated @ConsumerType public interface RequestLog
Deprecated.
Use the request progress tracker instead.
The `RequestLog` interface defines the API to be implemented by providers of destinations for request log information. To be able to any request log service writing to output type RequestLog Service the respective services must be registered with the OSGi service registry.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`REQUEST_LOG_NAME`
Deprecated.
The name of the service property which is compared to the name of the RequestLog service to be used to write the log messages (value is "requestlog.name").

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Deprecated.
Closes this request log.
`void`
`write(String message)`
Deprecated.
Writes the given `message` to the output destination.

## Field Details

### REQUEST_LOG_NAME

static final String REQUEST_LOG_NAME
Deprecated.
The name of the service property which is compared to the name of the RequestLog service to be used to write the log messages (value is "requestlog.name").

See Also:
  - Constant Field Values

## Method Details

### write

void write(String message)
Deprecated.
Writes the given `message` to the output destination. For example a file based implementation might write the message into a log file while an implementation supporting Unix `syslogd` might send the message to a `syslogd` server.

Parameters:
  `message` - The message to be logged.

### close

void close()
Deprecated.
Closes this request log. This method is called by the request logging infrastructure, when this instance is not used anymore. Hence, this method allows for any cleanup work to be done.